Interlaken
API referenceNetworkingVpn gateways

Create a VPN gateway

POST
/api/v1/vpn-gateways

Requires the vpn_gateways:create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/vpn-gateways" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "protocol": "string",    "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892",    "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "protocol": "string",  "public_ips": [    "string"  ],  "status": "string",  "status_reason": "string",  "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892",  "tags": {    "property1": "string",    "property2": "string"  },  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "updated_at": "2019-08-24T14:15:22Z",  "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"}